Update .gitlab-ci.yml to libfreerdp2 and other deps

Found errors in your .gitlab-ci.yml:

  • (<unknown>): could not find expected ':' while scanning a simple key at line 34 column 5
You can also test your .gitlab-ci.yml in CI Lint